package main

import (
	"cicv-data-closedloop/common/util"
	"fmt"
	"log"
	"os"
	"strings"
)

// 生成插件命令
func main() {
	//go build --buildmode=plugin -o ./so/pji/errorcode#1#21031701.so ./trigger/pji/diagnostics/errorcode#1#21031701/main/main.go
	// 指定目录的路径
	dirPath := "D:\\code\\cicv-data-closedloop\\trigger\\pji\\diagnostics"

	// 读取目录内容
	files, err := os.ReadDir(dirPath)
	if err != nil {
		log.Fatal(err)
	}

	// 遍历目录中的文件和子目录
	content := ""
	for _, file := range files {
		// 如果是目录
		if file.IsDir() {
			// 打印子目录名称

			fileName := strings.Replace(strings.Replace(file.Name(), " ", "", -1), "\n", "", -1)
			fmt.Println()
			content = content + "go build --buildmode=plugin -o ./so/pji/" + fileName + ".so ./trigger/pji/diagnostics/" + fileName + "/main/main.go" + "\n"
		}
	}
	util.WriteFile(content, "D:\\test.sh")
}
